#	$NetBSD: Makefile.xdm,v 1.11 2005/05/09 16:15:49 he Exp $

XDMVARDIR=	/var/db/xdm
XDMDIR=		${X11ETCDIR}/xdm
XDMCHOOSERPATH=	${X11ROOTDIR}/libexec/chooser
XDMGREETERLIB=	${X11ROOTDIR}/libexec/libXdmGreet.so
XDMLOGDIR=	/var/log
XDMPIDDIR=	/var/run

CPPFLAGS+=	-DBINDIR=\"${X11BINDIR}\" -DXDMDIR=\"${XDMDIR}\" \
		-DHASXDMAUTH ${X11FLAGS.CONNECTION} -DGREET_USER_STATIC \
		-DFRAGILE_DEV_MEM -DARC4_RANDOM \
		-DXPM -DUSE_XINERAMA -DHAS_SETPROCTITLE -DHAS_SETUSERCONTEXT \
		-DHAS_GETIFADDRS -UIPv6 -DHAS_MKSTEMP \
		-I${X11SRCDIR.xc}/programs/xdm \
		${X11FLAGS.VERSION}

LDADD+=		-lutil
DPADD+=		${LIBUTIL}

.if (${USE_PAM} != "no")
CPPFLAGS+=	-DUSE_PAM
LDADD+=		-lpam ${PAM_STATIC_LDADD}
DPADD+=		${LIBPAM} ${PAM_STATIC_DPADD}
.endif

.PATH:		${X11SRCDIR.xc}/programs/xdm
